# 1.0.0[−][src]Trait std::os::windows::ffi::OsStringExt

    pub trait OsStringExt {
        fn from_wide(wide: &[u16]) -> Self;
    }

This is supported on Windows only.

Windows-specific extensions to `OsString`.

## Required methods

### `fn from_wide(wide: &[u16]) -> Self`

This is supported on Windows only.

Creates an `OsString` from a potentially ill-formed UTF-16 slice of 16-bit code units.

This is lossless: calling `encode_wide` on the resulting string will always return the original code units.

# Examples

    use std::ffi::OsString;
    use std::os::windows::prelude::*;

    // UTF-16 encoding for "Unicode".
    let source = [0x0055, 0x006E, 0x0069, 0x0063, 0x006F, 0x0064, 0x0065];

    let string = OsString::from_wide(&source[..]);Run

Loading content...

## Implementors

### `impl OsStringExt for OsString`[src]

#### `fn from_wide(wide: &[u16]) -> OsString`[src]

This is supported on Windows only.
Loading content...